Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036460
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformmajoralways2017-07-10 18:112017-07-13 18:10
ReporterngarciaView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision6bbdc902b86c
ProjectionnoneETAnoneTarget Version3.0PR17Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036460: editing in grid record can be saved before callouts are applied

DescriptionIt is possible to save a record while editing it in grid before changes produced by callouts are applied to it, the result can be incorrect data being saved. This is easier to reproduce in case of slow network or slow callouts.
Steps To Reproduce* Alternative 1

Using chrome, open Developer Tools - Network and set Network conditions to GPRS (500ms, 50kb/s, 20bk/s)

As group admin role:
   1.1. Create a Sales Quotation header
   1.2. Insert Row in grid mode
   1.3. Select a product, click on save button in grid and while loading click on Cancel changes toolbar button
     -> Check the line is saved but the prices and amounts remain on 0, the default tax has not been modified...


* Alternative 2
  2.1. Add artificial delay in SL_Order_Product callout code: Thread.sleep(5_000L);
  2.2. Create a Sales Quotation header
  2.2. Insert Row in grid mode
  2.3. Select a product, click on save button in grid and while loading click on Cancel changes toolbar button
    -> Check the line is saved but the prices and amounts remain on 0, the default tax has not been modified...


Note if the same is performed in form view, save request is not performed until FIC response is received so that data is correct.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0036454 closedalostale editing in grid record can be saved before callouts are applied 

-  Notes
(0098033)
hgbot (developer)
2017-07-12 09:04

Repository: erp/backports/3.0PR17Q3
Changeset: 6bbdc902b86ce0321c7625517b3c8d4851270fee
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jul 11 09:13:34 2017 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR17Q3/rev/6bbdc902b86ce0321c7625517b3c8d4851270fee [^]

fixed bug 36460: in grid can trigger save before FIC response is received

  While editing in grid mode, it is possible to trigger save action by clicking
  grid's save button while FIC response is not received yet. If this occurs, the
  data sent to backend misses information that FIC should update.

  If grid's save button is clicked while in FIC call, postpone save action till
  FIC return.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0098068)
AugustoMauch (developer)
2017-07-13 18:10

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2017-07-11 15:07 alostale Type defect => backport
2017-07-11 15:07 alostale Target Version => 3.0PR17Q3
2017-07-12 09:04 hgbot Checkin
2017-07-12 09:04 hgbot Note Added: 0098033
2017-07-12 09:04 hgbot Status scheduled => resolved
2017-07-12 09:04 hgbot Resolution open => fixed
2017-07-12 09:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q3/rev/6bbdc902b86ce0321c7625517b3c8d4851270fee [^]
2017-07-13 18:10 AugustoMauch Note Added: 0098068
2017-07-13 18:10 AugustoMauch Status resolved => closed
2017-07-13 18:10 AugustoMauch Fixed in Version => 3.0PR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker